* entering, managing, exploring and modifying data (y, BI)
* 21 nov 2011
/* dataset indagine sui bilanci delle famiglie della Banca dItalia
www.bancaditalia.it in >statistiche e quindi in >indagini campionarie
scaricare e salvare i dataset in formato stata nella cartella c:\bi2008
scaricare anche i metadati e documneti utili nella stessa cartella 

creare nuove variabili (generate..., egen..., recode..., tabulate, gen()...
*/


clear			
set dp comma
set more off
capture log close
log using es4.log, replace

cd c:\bi08

use rfam08
sort nquest
save, replace

use rper08
sort nquest nord
save, replace

use carcom08.dta, clear
sort  nquest nord
save, replace

merge nquest using rfam08, keep(y)
tabulate _merge
drop _merge

rename y yfam
label var yfam "y fam disponibile"

sort nquest nord
merge nquest nord using rper08, keep(y yl ym yt yc)
tabulate _merge
drop _merge

label var y "y ind disponibile"
label var yl "y ind da lavoro dip"
label var ym "y ind da lavoro autonomo"
label var yt "y ind da pensioni e trasferimenti"
label var yc "y ind da capitale"

save redditi, replace

*****analisi dei redditi famigliari per area di redidenza (area3), 
*****condizione professionale e titolo di studio del capofamiglia 

* METTI L'ETICHETTA ALLA VAR area3 (1 nord 2 centro 3 sud)





gen     tit3=1 if studio<=3
replace tit3=2 if studio==4 | studio==5
replace tit3=3 if studio>=6

tab studio tit

label define tit3 1 basso 2 medio 3 alto
label value tit3 tit3


/* CREA LA VARIABILE condiz
condizione professionale del capofamiglia (1 dip, 2 aut, 3 pens, 4 non lavora) 
Q 	= 	status del lavoratore (1=dipendente, 2=autonomo, 3=condiz. non professionale) 	 
QUAL= 	status del lavoratore (1=operaio, 2=impiegato, 3=dirigente/direttivo, 4=imprenditore/liberoprofessionista, 5=altro autonomo, 6=pensionato, 7=altri non occupati) 	 
*/








table condiz area3 tit3 [aw=peso], content(mean yfam) row 


*confronti famigliari: redditi monetari e redditi equivalenti
*creare la scala di equivalenza oecd 1 capofamiglia, 0.5 per ogni ind>=14, 0.3*ind<=13

gen min=1 if eta<=13 
replace min=0 if eta>=14
*replace min=0 if min==.

*gen min=(eta<=13)

egen nmin=sum(min), by(nquest)

*CREA LA VAR nadulti = numero di adulti(>=13 anni) presenti in famiglia





gen scalaoecd=1+0.5*(nad-1)+0.3*nmin
*gen scalaoecd=1+0.5*(ncomp-1-nmin)+0.3*nmin

gen yeq=yfam/scalaoecd

table condiz area3 tit3 [aw=peso], content(mean yeq) row 

*stima OLS y: log(yfam) x: eta, eta^2, sex, tit3, area3,condiz, ncomp, nperc

gen lyfam=log(yfam)
gen eta2=eta*eta
*gen eta2=eta^2
tab tit3, gen(educ)
tab area3, gen(rip)
recode sex 2=0
tab condiz, gen(cprof)

reg ly eta eta2 sex educ* rip* cprof* ncomp nperc 

reg ly eta eta2 sex educ* rip* cprof* ncomp nperc if nord==1

reg ly eta eta2 sex educ2 educ3 rip2 rip3 cprof2 cprof3 cprof4 ncomp nperc if nord==1

log close
